获取授权用户的资料
GET/api/v5/user
Request
Query Parameters
access_token stringrequired
用户授权码
Responses
- 200
成功响应
Response Headers
- application/json
- Schema
- Example (auto)
- 1
Schema
avatar_urlstring
followers_urlstring
html_urlstring
idstring
loginstring
namestring
typestring
urlstring
biostring
blogstring
companystring
emailstring
followersinteger
followinginteger
top_languagesstring[]
{
"avatar_url": "string",
"followers_url": "string",
"html_url": "string",
"id": "string",
"login": "string",
"name": "string",
"type": "string",
"url": "string",
"bio": "string",
"blog": "string",
"company": "string",
"email": "string",
"followers": 0,
"following": 0,
"top_languages": [
"string"
]
}
成功示例
{
"avatar_url": "https://cdn-img.gitcode.com/fa/be/2fa2be6d3ffd01599dbc0a3c71ee9ec4cadb82f63a7a8489187645064ad95e59.png?time=1694709764757",
"followers_url": "https://api.gitcode.com/api/v5/users/gitcode-xxm/followers",
"html_url": "https://gitcode.com/gitcode-xxm",
"id": "64e5ed8f7e20aa73efcbc302",
"login": "gitcode-xxm",
"name": "xxm",
"type": "User",
"url": "https://api.gitcode.com/api/v5/gitcode-xxm",
"bio": "a PM ",
"blog": "https://gitcode.com",
"company": "",
"email": "xiongjiamu@163.com",
"followers": 8,
"following": 35,
"top_languages": [
"Python",
"Markdown",
"C++",
"C",
"HTML"
]
}